//
//  MLT_ConfigModel.h
//  MLTSiteSDK
//
//  Created by DeveWang on 2020/12/14.
//  Copyright © 2020 MLT. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "MLT_XMLReader.h"
NS_ASSUME_NONNULL_BEGIN

@interface MLT_ConfigModel : NSObject
@property(nonatomic,strong)MLT_SDKConfig * sdkConfig;
@property(nonatomic,strong)NSMutableDictionary * dmDict;
+ (instancetype)shareInstance;
/**是否启动自动页面埋点*/
-(BOOL)isAutoTrackpage;
/**自动埋点页面黑名单*/
-(NSArray *)getBlackList;
/**获取自定义事件和指标*/
-(NSDictionary *)getCdAndCm;

/**合并维度和指标*/
-(NSDictionary *)customDimMetrics:(nullable NSDictionary *)dict;

@end

NS_ASSUME_NONNULL_END
